Data Fields
_PurpleRoomlistRoom Struct Reference

Represents a room. More...

`#include <roomlist.h>`

## Data Fields
PurpleRoomlistRoomType | type
| The type of room. More...
gchar * | name
| The name of the room. More...
GList * | fields
| Other fields. More...
PurpleRoomlistRoom * | parent
| The parent room, or NULL. More...
gboolean | expanded_once
| A flag the UI uses to avoid multiple expand prpl cbs. More...

## Detailed Description

Represents a room.

Definition at line 82 of file roomlist.h.

## Field Documentation

## ◆ expanded_once

gboolean _PurpleRoomlistRoom::expanded_once

A flag the UI uses to avoid multiple expand prpl cbs.

Definition at line 87 of file roomlist.h.

## ◆ fields

GList* _PurpleRoomlistRoom::fields

Other fields.

Definition at line 85 of file roomlist.h.

## ◆ name

gchar* _PurpleRoomlistRoom::name

The name of the room.

Definition at line 84 of file roomlist.h.

## ◆ parent

PurpleRoomlistRoom* _PurpleRoomlistRoom::parent

The parent room, or NULL.

Definition at line 86 of file roomlist.h.

## ◆ type

PurpleRoomlistRoomType _PurpleRoomlistRoom::type

The type of room.

Definition at line 83 of file roomlist.h.

The documentation for this struct was generated from the following file:

- roomlist.h